diff --git a/buglist b/buglist
index 68a045d..a0d7b48 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7264: 
+bug 7265: 
 todo 336:
 wish 1012:
 meh 5:
@@ -11,6 +11,14 @@ typos 40363:
 dup 50006:
 nonextend 60077:
 
+bug 7264: 
+
+=========================================================================
+bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat
+ 
+   An expression involving @ DoubleFloat actually evaluated to one of 
+      type Float . Perhaps you should use :: DoubleFloat .
+
 =========================================================================
 bug 7263: missing function from POLY(ANTISYM)
 
diff --git a/changelog b/changelog
index 597476f..1090690 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141123 tpd src/axiom-website/patches.html 20141123.04.tpd.patch
+20141123 tpd buglist bug 7264: 2.7@DoubleFloat failed to DoubleFloat
 20141123 wxh src/axiom-website/patches.html 20141123.03.wxh.patch
 20141123 wxh books/bookvol10.3 fix iOrder in ISUPS for finite args
 20141123 wxh books/bookvol10.2 rationalFunction from ULSCAT example
diff --git a/patch b/patch
index f1abbf5..87c0073 100644
--- a/patch
+++ b/patch
@@ -1,11 +1,5 @@
-books/bookvol10.3 fix iOrder in ISUPS for finite args
+buglist bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat
+ 
+   An expression involving @ DoubleFloat actually evaluated to one of 
+      type Float . Perhaps you should use :: DoubleFloat .
 
-    iOrder(st,n,refer) ==
-      explicitlyEmpty? st =>
-        finite?(n) => retract(n)@Integer
-        error "order: series has infinite order"
-
-in order to make this work:
-  w:SparseUnivariateLaurentSeries(Fraction(Integer),'z,0):=0
-  order(w,0)
-  rationalFunction(w,0)
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 57547ca..980f490 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4724,6 +4724,8 @@ buglist add bug 7263: missing function from POLY(ANTISYM)<br/>
 books/bookvol10.3 add help for AntiSymm<br/>
 <a href="patches/20141123.03.wxh.patch">20141123.03.wxh.patch</a>
 books/bookvol10.3 fix iOrder in ISUPS for finite args<br/>
+<a href="patches/20141123.04.tpd.patch">20141123.04.tpd.patch</a>
+buglist bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat<br/>
  </body>
 </html>
 
